
package webservices;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0
 * Generated source version: 2.2
 * 
 */
@WebService(name = "IPanelWS", targetNamespace = "http://webservices/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface IPanelWS {


    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "updatePanel", targetNamespace = "http://webservices/", className = "webservices.UpdatePanel")
    @ResponseWrapper(localName = "updatePanelResponse", targetNamespace = "http://webservices/", className = "webservices.UpdatePanelResponse")
    @Action(input = "http://webservices/IPanelWS/updatePanelRequest", output = "http://webservices/IPanelWS/updatePanelResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/IPanelWS/updatePanel/Fault/DatabaseErrorException")
    })
    public boolean updatePanel(
        @WebParam(name = "arg0", targetNamespace = "")
        Panel arg0)
        throws DatabaseErrorException_Exception
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "savePanel", targetNamespace = "http://webservices/", className = "webservices.SavePanel")
    @ResponseWrapper(localName = "savePanelResponse", targetNamespace = "http://webservices/", className = "webservices.SavePanelResponse")
    @Action(input = "http://webservices/IPanelWS/savePanelRequest", output = "http://webservices/IPanelWS/savePanelResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/IPanelWS/savePanel/Fault/DatabaseErrorException")
    })
    public boolean savePanel(
        @WebParam(name = "arg0", targetNamespace = "")
        Panel arg0)
        throws DatabaseErrorException_Exception
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns java.util.List<webservices.Panel>
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getPanelsFromUser", targetNamespace = "http://webservices/", className = "webservices.GetPanelsFromUser")
    @ResponseWrapper(localName = "getPanelsFromUserResponse", targetNamespace = "http://webservices/", className = "webservices.GetPanelsFromUserResponse")
    @Action(input = "http://webservices/IPanelWS/getPanelsFromUserRequest", output = "http://webservices/IPanelWS/getPanelsFromUserResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/IPanelWS/getPanelsFromUser/Fault/DatabaseErrorException")
    })
    public List<Panel> getPanelsFromUser(
        @WebParam(name = "arg0", targetNamespace = "")
        long arg0)
        throws DatabaseErrorException_Exception
    ;

    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     * @throws DatabaseErrorException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "deletePanel", targetNamespace = "http://webservices/", className = "webservices.DeletePanel")
    @ResponseWrapper(localName = "deletePanelResponse", targetNamespace = "http://webservices/", className = "webservices.DeletePanelResponse")
    @Action(input = "http://webservices/IPanelWS/deletePanelRequest", output = "http://webservices/IPanelWS/deletePanelResponse", fault = {
        @FaultAction(className = DatabaseErrorException_Exception.class, value = "http://webservices/IPanelWS/deletePanel/Fault/DatabaseErrorException")
    })
    public boolean deletePanel(
        @WebParam(name = "arg0", targetNamespace = "")
        long arg0)
        throws DatabaseErrorException_Exception
    ;

}
